Create an IP rule

Blocks or allows one IP or CIDR range.
POSThttps://api.clicklookup.com/v1/ip-rules

Requires an API key

Request body3

  • cidrstringrequired

    IPv4/IPv6 address or CIDR, e.g. 203.0.113.0/24

    7–43 chars
  • actionenum

    What to do.

    One ofblockallowDefault "block"
  • notestringnullable

    Why the rule exists.

    max 200 chars

Response · 2016

  • actionenumrequired

    What to do.

    One ofblockallow
  • cidrstringrequired

    IPv4/IPv6 address or CIDR, e.g. 203.0.113.0/24

    7–43 chars
  • createdAtstring · date-timerequired

    ISO-8601 timestamp with offset

  • idstring · uuidrequired

    UUID primary key

  • notestringrequired

    Why the rule exists.

    max 200 chars
  • workspaceIdstring · uuidrequired

    UUID primary key